@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins',sans-serif;
}

html{
	height:90%;
	width:100%;
}

@media screen and (max-width: 600px) {
	html{
		height:100%;
		width:100%;
	}
}

body{
	background-image: url('../img/backgrounds/green-gear.jpg');
	background-color: #C0C0C0;
	background-position: fixed;
	background-size: auto;
	background-repeat: no-repeat;
	margin: 20px 0 0 20px;
    padding: 0;
    font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
    font-size: 14px;
}


.img-logo {
	display: block;
	float:center;
	text-align:center;
	align-items: center;
}

.bemvindo {
	color: white;
	display:block;
	text-align: center;
	align-items: center;
	width:90%;
	margin: 0 0 0 5%;
	padding:0;
	font-size: 40px;
	text-shadow: 3px 3px #000;
}

/*SIDE MENU*/
.navigation {
	position: fixed;
	top: 0;
	left: 0;
	width: 50px;
	min-height: 100%;
	background: #383838;
	transition: 0.5s;
	overflow: hidden;
	z-index: 2;
}
.navigation:hover {
	width: 250px;
}

.navigation ul {
	position: absolute;
	top: 0;
	left: 0;
	width:100%;
	margin: 0;
	padding:0;

}
.sub_menu {
	display: none;
	padding-left: 20px;
}

.navigation ul li {
	position: relative;
	width: 100%;
	list-style: none;
}
.navigation ul li:hover {
	background: #ABABAB;
}
.navigation ul li a {
	position: relative;
	left: 0;
	width: 100%;
	display: flex;
	text-decoration: none;
	color: #fff;
	font-size: 16px;
}
.navigation ul li a .icon {
	position: relative;
	display: block;
	left:0;
	min-width: 60px;
	height: 60px;
	text-align: left;
	padding-top:15px;
	padding-left: 15px;
	font-size: 20px;
	left:0;
}

.navigation img {
	position: relative;
	display: block;
	left:0;
	width:50px;
	text-align: left;
	padding: 10px 10px 0px 10px;
	font-size: 20px;
	left:0;
}


.navigation ul li a .link_menu{
	position: relative;
	display: block;
	max-width:200px;
	height: 50px;
	padding-top:15px;
	text-align: start;
	z-index: 99999;
}
/*SIDE MENU */

.container-index{
	width: 520px;
	padding: 0 25px 20px 20px;
	margin: 40px auto;
}

.container {
    display: block;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}

h2 {
    margin-bottom: 10px;
    font-size: 24px;
    text-align: center;
}

.bemvindo strong {
    font-size: 48px;
}

.img-logo {
    text-align: center;
}

img#logo_cliente {
    max-width: 100%;
    height: auto;
    margin-top: 20px;
}

@media screen and (max-width: 600px) {
	.container{
		width: 520px;
		padding: 0px 20px 20px 50px;
		margin: 40px auto;
	}
}
.wrapper{
	width: 100%;
	background: #ddd;
	border-radius: 5px;
	box-shadow: 0px 4px 10px 4px rgba(0,0,0,0.3);
}

.title{
	color: #fff;
	font-size: 40px;
	text-align: center;
	align-items: center;
	text-shadow: 3px 3px #000;
}
.title_forms{
	color: #222;
	font-size: 40px;
	text-align: center;
	align-items: center;
	text-shadow: 3px 3px #c0c0c0;
	padding: 20px 0 20px 0;
}
.wrapper .form_ico {
	height: auto;
	width: 100%;
}

.wrapper img{
	height: 80%;
	width: 80%;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.wrapper .header-image{
	background: #fff;
	border-radius: 5px 5px 0 0;
	display: block;
	padding: 10px 0 0 10px;
}
.header-image img{
	background: #fff;
	border-radius: 5px 5px 0 0;
	display: block;
	padding: 10px 0 0 10px;
	height: 100%;
	width: 100%;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.wrapper form{
	padding: 25px 25px 25px 25px;
}
.wrapper form .row{
	height: 40px;
	margin-bottom: 15px;
	position: relative;
}

input[type="file"]{
	display:none;
}

#logo_cliente{
	max-width:500px;
}

.label_file{
	color: #999;
	cursor: pointer;
	margin: auto;
	padding: 10px;
}

.wrapper form .row input , .label_file, select{
	height: 100%;
	width: 100%;
	background-color: #fff;
	outline: none;
	padding-left: 60px;
	border-radius: 5px;
	border: 1px solid lightgrey;
	font-size: 16px;
	transition: all 0.3s ease;
}
.wrapper select {
	padding-left: 60px;
	
}
form .row input:focus{
	border-color: #16a085;
	box-shadow: inset 0px 0px 2px 2px rgba(26,188,156,0.25);
}
form .row input::placeholder{
	color: #999;
}
option{
	color: black;
}
.wrapper form .row i{
	position: absolute;
	width: 47px;
	height: 100%;
	color: #fff;
	font-size: 18px;
	background: #0C5603;
	border: 1px solid #0C5603;
	border-radius: 5px 0 0 5px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.wrapper form .button input {
	color: #fff;
	font-size: 20px;
	font-weight: 500;
	padding-left: 10px;
	background: #0C5603;
	border: 1px solid #0C5603;
	cursor: pointer;
}
form .button input:hover{
	background: #102B18;
}

.erro{
	color: #842029;
    background-color: #f8d7da;
	border-color: #f5c2c7;
	position: relative;
    padding: 1rem 1rem;
    margin: 1rem;
    border: 1px solid;
    border-radius: .25rem;
}

.sucesso{
	color: #0F5132;
	background-color: #D1E7DD;
	border-color: #BADBCC;
	position: relative;
    padding: 1rem 1rem;
	margin: 1rem;
	border: 1px solid;
    border-radius: .25rem;
}

#btn_voltar{
	background-color:#ff2626;
	border-color: #f5c2c7;
	
}
#btn_voltar:hover {
	background: #500b0b;
}

/* TABELAS */

.table {
    background: #102B18;
    border-collapse: collapse;
    width: 80%; /* Ajuste o tamanho conforme necessário */
    margin: 0 auto; /* Centraliza horizontalmente */
    box-shadow: 0px 4px 10px 10px rgba(0,0,0,0.3);
    border-radius: 10px;
}

.table .table_head {
    background-color: #102B18;
    color: white;
    font-size: 18px;
    padding: 0 10px;
    text-align: left;
}

.col_ini {
	border-radius:10px 0 0 0;
}
.col_fim {
	border-radius:0 10px 0 0;
}

.table_row:nth-child(even) {
	background-color: #b6d9b8;
}
.table_row:nth-child(odd) {
	background-color: white; 
}
.table_row, .data_func {
	border: 0px solid #ddd;
	line-height:34px;
	text-align: left;
	font-size:16px;
	text-decoration:none;
	/*padding:5px 7px 5px 7px;*/
}

.table_row:hover {
	background-color: #67F661;
	border-color:#67F661;
	border-radius: 0 0 10px 10px;
}

.content_pages {
    padding: 30px 0;
    margin: 0 auto -50px auto; /* Define as margens automáticas para centralizar horizontalmente */
    max-width: 10%; /* Ajuste a largura máxima conforme necessário */
}


#btn_cad{
	color: #fff;
	background-color:#198754;
	border-color: #198754;
	display:block;
	font-weight: 500;
	text-decoration: none;
	text-align:center;
	position: relative;
	width: 50%;
	font-size: 20px;
	margin: 10px 10px 50px 25%;
	padding:5px;
	border-radius: 5px;
	cursor: pointer;
	box-shadow: 0px 4px 10px 10px rgba(0,0,0,0.3);
}

.btn_edit{
	color: #000;
    background-color: #ffc107;
    border-color: #ffc107;
	display: inline-block;
    font-weight: 400;
    line-height: 1.5;
	text-align: center;
    text-decoration: none;
    vertical-align: middle;
	border: 1px solid transparent;
    padding: 3px;
    font-size: 1rem;
    border-radius: 0.25rem;
    transition: color .15s;
	margin: 1px 1px;
}
.ico_form {
	width:20px;
}
.btn_edit:hover{
	background-color: #cf9b00
}
.btn_remove{
	color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
	display: inline-block;
    font-weight: 500;
    line-height: 1.5;
	text-align: center;
    text-decoration: none;
    vertical-align: middle;
	margin: 10px 10px 5px 25%;
	border: 1px solid transparent;
    padding: 3px;
    font-size: 20px;
    border-radius: 0.25rem;
    transition: color .15s;
	margin: 1px 1px;
}
.btn_remove:hover {
	background-color: #bb2b39;
	color: #fff;
}

#btn_cad:hover {
	background: #157347;
}
.link_arquivo {
	text-decoration:none;
	color:#000;
}
.link_arquivo:hover {
	text-decoration:underline;
}
.ico_intable {
	max-width:25px;
}

.fechar_msg {
	display: block;
}
.row_select {
	padding-left:60px;
	color:#999;
}
.modal-backdrop.show {
	width:100%;
	height:100%;
}
@media screen and (max-width: 600px) {
	
	.bemvindo {
		padding-left:20px;
		font-size:25px;
		text-shadow: 2px 2px #333;
	}
	
	.img-logo img{
		width:50%;
		margin:auto;
	}
	.title, .title_forms{
		font-size:25px;
		padding: 0px 0px 0px 0px;
	}

	.container-index{
		width: 100%;
		padding: 5px 20px 5px 0px;
		margin: 90px 0;
	}

	.wrapper .header-image{
		background: #fff;
		border-radius: 5px 5px 0 0;
		display: block;
		padding: 0 0 0 0px;
		width: 100%;
	}
	.header-image img{
		background: #fff;
		border-radius: 5px 5px 0 0;
		display: block;
		padding: 1px 0 0 1px;
		height: 80%;
		width: 80%;
		display: block;
		margin-left: auto;
		margin-right: auto;
	}

	.table{
		width: 50%;
		margin: 0 0 0 0;

	}
	
	.table_row, .data_func {
		font-size:12px;
		line-height:12px;
	}
	.table .table_head{
		font-size: 10px;
	}

	.table td .btn_remove, .btn_edit{
		display:none;
	}
	.content_pages {
		padding:0 0 0 0;
		margin: 0 0 0 0;
	}
	.ico_intable {
		max-width:20px;
	}
	
	#logo_cliente{
		max-width:85%;
	}
	.modal{
		margin:10%;
	}
	.modal-open {
		padding-right:0px;
	}
}				